Message::Passing::Filter::Key(3pm)

NAME
Message::Passing::Filter::Key - Filter a subset of messages out.

DESCRIPTION
This filter just removes messages which do not have a key matching a certain value.

ATTRIBUTES

  key
The name of the key. You may use a " foo.bar " syntax to indicate variables below the top level of the hash (i.e. the example would look in "$msg->{foo}->{bar}".).

  match
The value to match to determine if the message should be passed onto the next stage or filtered out.

  match_type
The type of match to perform, valid values are 'regex' or 'eq', and the latter is the default.

METHODS

  filter
Does the actual filtering work.

SPONSORSHIP
This module exists due to the wonderful people at Suretec Systems Ltd. <http://www.suretecsystems.com/> who sponsored its development for its VoIP division called SureVoIP <http://www.surevoip.co.uk/> for use with the SureVoIP API - <http://www.surevoip.co.uk/support/wiki/api_documentation>

AUTHOR, COPYRIGHT AND LICENSE
See Message::Passing.